TextLocator (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface TextLocator

- All Superinterfaces:
    InterchangeObject, Locator, MediaEntity, MetadataObject
  All Known Implementing Classes:
    TextLocatorImpl

      public interface TextLocator
      extends Locator

  Specifies information to help find a file containing the essence or to help find the physical media. A text locator is not intended for applications to use without user intervention.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextLocator` | `clone()` Create a cloned copy of this text locator.
    `String` | `getLocationName()` Returns the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.
    `void` | `setLocationName(String name)` Sets the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.

    - ### Methods inherited from interface tv.amwa.maj.model.Locator

      `getPath, setPath`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### setLocationName

          void setLocationName(@AAFString
                               String name)
                        throws NullPointerException

      Sets the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.

      Parameters:
        `name` - Name property of the text locator.
      Throws:
        `NullPointerException` - The given name is `null`.
      See Also:
        `Locator.setPath(String)`

    - #### getLocationName

          @AAFString
          String getLocationName()

      Returns the location name of the text locator, which provides a text string containing information to help find the file containing the essence or the physical media.

      Returns:
        Name property of the text locator.
      See Also:
        `Locator.getPath()`

    - #### clone

          TextLocator clone()

      Create a cloned copy of this text locator.

      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `Locator`
      Specified by:
        `clone` in interface `MediaEntity`
      Returns:
        Cloned copy of this text locator.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.